package com.example.paypalintegrate.nativepaypal;

import android.app.Application;

import com.paypal.checkout.PayPalCheckout;
import com.paypal.checkout.config.CheckoutConfig;
import com.paypal.checkout.config.Environment;
import com.paypal.checkout.config.SettingsConfig;
import com.paypal.checkout.createorder.CurrencyCode;
import com.paypal.checkout.createorder.UserAction;
import com.paypal.pyplcheckout.BuildConfig;

public class YourApp extends Application {
    @Override
    public void onCreate() {
        super.onCreate();
        CheckoutConfig config = new CheckoutConfig(
                this,
                "AY0drxYNitCtv4waj-DcmD5vLOCBCjj1AyUmbIjggTUfzJSAVyxjgTOf6HafgTw4c_VROLtE_yr-heR4",
                Environment.SANDBOX,
                String.format("%s://paypalpay", "com.example.lvpt"),
                CurrencyCode.BRL,
                UserAction.PAY_NOW,
                new SettingsConfig(
                        true,
                        false
                )
        );
        PayPalCheckout.setConfig(config);
    }
}
