
import 'dart:async';

import 'package:flutter/services.dart';

class Nativepaypal {
  static const MethodChannel _channel =
      const MethodChannel('nativepaypal');

  static Future<String> get platformVersion async {
    final String version = await _channel.invokeMethod('getPlatformVersion');
    return version;
  }

  start(String clienteID)async{
    await _channel.invokeMethod('startCheckout');
  }
}
